Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ArtificialClassificationDataDescriptor.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ArtificialClassificationDataDescriptor.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ArtificialClassificationDataDescriptor.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ArtificialClassificationInstanceProvider.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ArtificialClassificationInstanceProvider.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ArtificialClassificationInstanceProvider.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/CSV/ClassifiactionCSVInstanceProvider.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/CSV/ClassifiactionCSVInstanceProvider.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/CSV/ClassifiactionCSVInstanceProvider.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -39,5 +39,5 @@
     }
     public override Uri WebLink {
-      get { return new Uri("http://dev.heuristiclab.com/trac/hl/core/wiki/UsersFAQ#DataAnalysisImportFileFormat"); }
+      get { return new Uri("http://dev.heuristiclab.com/trac.fcgi/wiki/Documentation/FAQ#DataAnalysisImportFileFormat"); }
     }
     public override string ReferencePublication {
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationDataDescriptor.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationDataDescriptor.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationDataDescriptor.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationImportType.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationImportType.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationImportType.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationInstanceProvider.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationInstanceProvider.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ClassificationInstanceProvider.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ResourceClassificationDataDescriptor.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ResourceClassificationDataDescriptor.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ResourceClassificationDataDescriptor.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ResourceClassificationInstanceProvider.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ResourceClassificationInstanceProvider.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/ResourceClassificationInstanceProvider.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using System.Globalization;
 using System.IO;
+using System.IO.Compression;
 using System.Linq;
 using System.Reflection;
 using System.Text.RegularExpressions;
 using HeuristicLab.Problems.DataAnalysis;
-using ICSharpCode.SharpZipLib.Zip;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
@@ -38,15 +38,15 @@
 
       var instanceArchiveName = GetResourceName(FileName + @"\.zip");
-      using (var instancesZipFile = new ZipFile(GetType().Assembly.GetManifestResourceStream(instanceArchiveName))) {
+      using (var instancesZipFile = new ZipArchive(GetType().Assembly.GetManifestResourceStream(instanceArchiveName), ZipArchiveMode.Read)) {
         var entry = instancesZipFile.GetEntry(descriptor.ResourceName);
         NumberFormatInfo numberFormat;
         DateTimeFormatInfo dateFormat;
         char separator;
-        using (Stream stream = instancesZipFile.GetInputStream(entry)) {
+        using (Stream stream = entry.Open()) {
           TableFileParser.DetermineFileFormat(stream, out numberFormat, out dateFormat, out separator);
         }
 
         TableFileParser csvFileParser = new TableFileParser();
-        using (Stream stream = instancesZipFile.GetInputStream(entry)) {
+        using (Stream stream = entry.Open()) {
           csvFileParser.Parse(stream, numberFormat, dateFormat, separator, true);
         }
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Iris.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Iris.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Iris.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Mammography.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Mammography.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Mammography.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Parkinsons.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Parkinsons.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Parkinsons.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Thyroid.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Thyroid.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Thyroid.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/UCIDataDescriptor.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/UCIDataDescriptor.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/UCIDataDescriptor.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/UCIInstanceProvider.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/UCIInstanceProvider.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/UCIInstanceProvider.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,6 +23,6 @@
 using System.Collections.Generic;
 using System.IO;
+using System.IO.Compression;
 using System.Linq;
-using ICSharpCode.SharpZipLib.Zip;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
@@ -56,8 +56,7 @@
       var solutionsArchiveName = GetResourceName(FileName + @"\.zip");
       if (!String.IsNullOrEmpty(solutionsArchiveName)) {
-        using (var solutionsZipFile = new ZipInputStream(GetType().Assembly.GetManifestResourceStream(solutionsArchiveName))) {
+        using (var solutionsZipFile = new ZipArchive(GetType().Assembly.GetManifestResourceStream(solutionsArchiveName), ZipArchiveMode.Read)) {
           IList<string> entries = new List<string>();
-          ZipEntry curEntry;
-          while ((curEntry = solutionsZipFile.GetNextEntry()) != null) {
+          foreach (var curEntry in solutionsZipFile.Entries) {
             entries.Add(curEntry.Name);
           }
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Vertebral_3C.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Vertebral_3C.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Vertebral_3C.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Wine.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Wine.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/Wine.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/WisconsinDiagnosticBreastCancer.cs
===================================================================
--- branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/WisconsinDiagnosticBreastCancer.cs	(revision 10225)
+++ branches/gteufl/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Classification/UCI/WisconsinDiagnosticBreastCancer.cs	(revision 12969)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
